from django.utils.translation import gettext_lazy as _
from django.db import models
from django.contrib.auth import get_user_model


class Gender(models.Model):
    name = models.CharField(max_length=15, verbose_name=_("Gender"))

    def __str__(self):
        return f'{self.name}'


class Profile(models.Model):
    user = models.OneToOneField(get_user_model(), related_name="profile", on_delete=models.CASCADE,
                                verbose_name=_("User"))

    birth_date = models.DateField(null=True, blank=True, verbose_name=_("BirthDate"))

    phone_number = models.CharField(null=True, blank=True, max_length=25, verbose_name=_("PhoneNumber"))

    gender = models.ForeignKey(Gender, null=True, blank=True, on_delete=models.PROTECT, verbose_name=_("GenderUser"))




