from django import forms
from webapp.models import Event
from django.utils.translation import gettext_lazy as _


class EventForm(forms.ModelForm):
    date = forms.DateTimeField(
        widget=forms.TextInput(attrs={'placeholder': 'YYYY-MM-DD HH-MM-SS', 'type': 'datetime-local'}))

    class Meta:
        model = Event
        fields = ["place", "date"]
        labels = {"place": _("PlaceEvent"), "date": _("DateEvent")}
